Bug 888606 - Python agents do not support action=reboot
Summary: Python agents do not support action=reboot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 00:54 UTC by Andrew Beekhof
Modified: 2014-06-18 07:23 UTC (History)
1 user (show)

Fixed In Version: fence-agents-4.0.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 13:00:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Beekhof 2012-12-19 00:54:51 UTC
Description of problem:

Logic for allowing reboot action in fence-agents-3.1.11-1.el7.x86_64 is wrong.

/usr/share/fence/fencing.py has:

        acceptable_actions = [ "on", "off", "status", "list", "monitor" ]
        if 0 == device_opt.count("fabric_fencing"):
                ## Compatibility layer
                #####
                acceptable_actions.extend(["enable", "disable"])
        else:
                acceptable_actions.extend(["reboot"])


s/0 == device_opt/0 != device_opt/

Comment 2 Marek Grac 2012-12-20 09:49:01 UTC
Already fixed in upstream - waiting for rebase

Comment 5 Ludek Smid 2014-06-13 13:00:08 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.